Get Place Action Links
curl --request GET \
--url https://api.partoo.co/v2/place_action_links \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/place_action_links"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/place_action_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"place_action_links": [
{
"gmb_id": "APPOINTMENT",
"name": "Appointment links"
},
{
"gmb_id": "DINING_RESERVATION",
"name": "Reservations links"
},
{
"gmb_id": "FOOD_DELIVERY",
"name": "Food delivery links"
},
{
"gmb_id": "FOOD_ORDERING",
"name": "Food ordering links"
},
{
"gmb_id": "FOOD_TAKEOUT",
"name": "Food takeout links"
},
{
"gmb_id": "ONLINE_APPOINTMENT",
"name": "Online appointment links"
},
{
"gmb_id": "SHOP_ONLINE",
"name": "Shop Online links"
}
]
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Place Action Links
Get Place Action Links
Retrieve a list of available place action links.
GET
/
place_action_links
Get Place Action Links
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Preferred language for place action links. If no language is provided, the user's default language will be used. If the user's default language is unavailable, the country's primary language will be used. Available language in the application
Available options:
fr, en, es, it, pt-br, de, ar, nl, pl, cs, ca, sk, pt, lv, ro, bg, hu Example:
"fr"
Response
OK
List of available Place Action Links
Show child attributes
Show child attributes
Example:
[
{
"gmb_id": "APPOINTMENT",
"name": "Appointment links"
},
{
"gmb_id": "DINING_RESERVATION",
"name": "Reservations links"
},
{
"gmb_id": "FOOD_DELIVERY",
"name": "Food delivery links"
},
{
"gmb_id": "FOOD_ORDERING",
"name": "Food ordering links"
},
{
"gmb_id": "FOOD_TAKEOUT",
"name": "Food takeout links"
},
{
"gmb_id": "ONLINE_APPOINTMENT",
"name": "Online appointment links"
},
{
"gmb_id": "SHOP_ONLINE",
"name": "Shop Online links"
}
]
Was this page helpful?
⌘I